RK-J - Feature #2111

When user clicks on "search terms box", show TOC of books selected
02/11/2022 06:12 AM - Ram Kordale

Status: Closed Start date: 03/10/2022
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 3.00 hours
Description

When user clicks on empty 'search terms box", show a list of results - one per selected book. The label can be <subject> <book> and
pointing to the TOC.

For example, if only Python Library Reference is selected, clicking on the search terms box can show "Python 3 Library Reference”
and point to https:/rapidken.ai/document/python-3*?documentURL=10015%2Fprd%2F3%2Flibrary%2Findex-toc.html.

If 4 docs are selected, show 4 entries.

Subtasks:
Task # 2178: Remove the implementation of the ticket #2098. Rejected

History

#1 - 04/11/2022 05:33 AM - Ayush Khandelwal
- Assignee changed from Ayush Khandelwal to Rishabh Sharma

#2 - 04/12/2022 01:07 PM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 04/12/2022 01:12 PM - Rishabh Sharma

If a single book is selected in the dropdown, then show complete TOC page of that book in the search result suggestion box.
If more than one book is selected in the dropdown , then show the links to the TOC of each book in search result suggestion box.

#4 - 04/12/2022 01:12 PM - Rishabh Sharma
- Status changed from In Progress to Resolved

- Estimated time set to 3.00 h

#5 - 05/05/2022 07:29 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#6 - 10/13/2022 06:29 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#7 - 03/29/2023 09:38 AM - Ram Kordale
- Status changed from Feedback to Closed
